com.ibm.openpages.api.rule

## Interface ITBRuleAction

- All Superinterfaces:
    java.lang.Cloneable
  All Known Subinterfaces:
    ITBCalculationAction

      public interface ITBRuleAction
      extends java.lang.Cloneable

  Represents the rule action configured on the rule definition

  Since:
    8.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(java.lang.String name, java.lang.Object value)` Add a property to the property list.
    `Id` | `getId()` Returns unique identifier of the rule action definition
    `java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()` Get the properties defined for the action
    `Id` | `getRuleId()` Returns identifier of the rule definition
    `Id` | `getRuleVersionId()` Returns version id of the rule definition.
    `TBRuleActionType` | `getType()` Returns the type of the rule action.
    `Id` | `getWFProcessDefinitionId()` Returns id of the workflow process definition.
    `void` | `setId(Id id)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)` Set the properties defined for the action
    `void` | `setRuleId(Id ruleId)`
    `void` | `setRuleVersionId(Id ruleVersionId)`
    `void` | `setType(TBRuleActionType type)` Sets the type of the rule action.
    `void` | `setWFProcessDefinitionId(Id id)` Sets id of the workflow process definition.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns unique identifier of the rule action definition
      Returns:

    - #### setId

          void setId(Id id)

    - #### getRuleId

          Id getRuleId()

      Returns identifier of the rule definition
      Returns:

    - #### setRuleId

          void setRuleId(Id ruleId)

    - #### getRuleVersionId

          Id getRuleVersionId()

      Returns version id of the rule definition.
      Returns:

    - #### setRuleVersionId

          void setRuleVersionId(Id ruleVersionId)

    - #### getWFProcessDefinitionId

          Id getWFProcessDefinitionId()

      Returns id of the workflow process definition.
      Returns:
        workflow process definition ID

    - #### setWFProcessDefinitionId

          void setWFProcessDefinitionId(Id id)

      Sets id of the workflow process definition.

    - #### getType

          TBRuleActionType getType()

      Returns the type of the rule action. Refer `TBRuleActionType`
      Returns:

    - #### setType

          void setType(TBRuleActionType type)

      Sets the type of the rule action. Cannot be null.
      Parameters:
        `type` -

    - #### getProperties

          java.util.Map<java.lang.String,java.lang.Object> getProperties()

      Get the properties defined for the action
      Returns:
        the map of properties that have been defined for use by the action

    - #### setProperties

          void setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)

      Set the properties defined for the action

    - #### addProperty

          void addProperty(java.lang.String name,
                           java.lang.Object value)

      Add a property to the property list. The possible properties are 'assignees' and 'criticality' 'Criticality' can be any of the #WFProcessCriticality values 'assignees' can be one or more users and groups
      Parameters:
        `name` -
        `value` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.